//---------------------------------------------------------------------------
#ifndef winlinuxH
#define winlinuxH
#include "vclx.h"

#ifdef PRFD_WINDOWS
// Proprits de TCSpinEdit
#define MINVALUE MinValue
#define MAXVALUE MaxValue
// Proprits de TOpen/CloseDialog
#define PRFD_FILENAME(x) ((x)->FileName)
// Proprits de Text de nombreux composants
#define PRFD_TEXT(x) ((x)->Text)
// Types
#define TBITMAP Graphics::TBitmap
#define TSPINEDIT TCSpinEdit
#define CONTROLCOUNT ControlCount
#endif

#ifdef PRFD_LINUX
// Hauteur/Largeur de l'espace entre les objets/bord
// Pour les mesures automatiques de taille de fentre (OnResize)
#define LH_ESPACE 8
#define XMAX(x) ((x)->Left+(x)->Width)
#define YMAX(y) ((y)->Top+(y)->Height)
#define LMAX(x,y) (max(XMAX(x),XMAX(y)))
#define HMAX(x,y) (max(YMAX(x),YMAX(y)))

// Proprits de TSpinEdit
#define MINVALUE Min
#define MAXVALUE Max
// Proprits de TOpen/CloseDialog
#define PRFD_FILENAME(x) ((AnsiString)((x)->FileName))
// Proprits de Text de nombreux composants
#define PRFD_TEXT(x) ((AnsiString)((x)->Text))
// Type TBitMap
#define TBITMAP TBitmap
#define TSPINEDIT TSpinEdit
#define CONTROLCOUNT ControlCount()
#endif

enum type_message {tmInformation, tmAvertissement, tmErreur, tmQuestionNecessaire, tmQuestionFacultative};
enum type_reponse {trOk, trAnnuler, trOui, trNon};
//---------------------------------------------------------------------------
extern const AnsiString asDebutNomSpinEdit;
extern type_reponse AfficheMessage(const AnsiString asMessage, const AnsiString asTitre, type_message Type, int OrdreBoutonDefaut, int OrdreBoutonEchap);
extern void AfficheAideContextuelle(TForm *Form);
extern void AfficheIndexAide(TForm *Form);

#endif
