//---------------------------------------------------------------------------
#ifndef main_fH
#define main_fH
//---------------------------------------------------------------------------
#ifdef PRFD_WINDOWSLINUX
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <ActnList.hpp>
#include <IniFiles.hpp>
#include <QForms.hpp>
#include <QActnList.hpp>
#include <QComCtrls.hpp>
#include <QControls.hpp>
#include <QDialogs.hpp>
#include <QExtCtrls.hpp>
#include <QImgList.hpp>
#include <QMenus.hpp>
#include <QStdCtrls.hpp>
#include <QTypes.hpp>
#endif
//---------------------------------------------------------------------------
#ifdef PRFD_WINDOWS
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <Dialogs.hpp>
#include <ActnList.hpp>
#include <IniFiles.hpp>
#endif
//---------------------------------------------------------------------------
#ifdef PRFD_LINUX
#include <Classes.hpp>
#include <QActnList.hpp>
#include <QComCtrls.hpp>
#include <QControls.hpp>
#include <QDialogs.hpp>
#include <QExtCtrls.hpp>
#include <QImgList.hpp>
#include <QMenus.hpp>
#include <QStdCtrls.hpp>
#include <QTypes.hpp>
#endif
//---------------------------------------------------------------------------
#include "base.h"
//---------------------------------------------------------------------------
class base; // base.h
class recherche; // base.h
//---------------------------------------------------------------------------
enum mode_ouverture {moEcraser,moAjouterEnTete, moAjouterEnFin, moAjouterAuPointInsertion};
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// Composants grs par l'EDI
  TStatusBar *StatusBar;
  TImageList *ImageListArbre;
  TPanel *PanelInf;
  TSplitter *SplitterH;
  TMainMenu *MainMenu;
  TMenuItem *MenuItemFichier;
  TMenuItem *MenuItemInformations;
  TMenuItem *MenuItemAPropos;
  TMenuItem *MenuItemAide;
  TMenuItem *MenuItemQuitter;
  TMenuItem *MenuItemParametres;
  TMenuItem *MenuItemEditeurBase;
  TMenuItem *MenuItemVueResultats;
  TMenuItem *MenuItemRetourAutoVueResultats;
  TMenuItem *MenuItemEffacerVueResultats;
  TMenuItem *MenuItemEffacerEditeurBase;
  TMenuItem *MenuItemProjet;
  TMenuItem *MenuItemAnalyser;
  TTreeView *TreeViewRecherche;
  TPanel *PanelQR;
  TMemo *MemoReponse;
  TPanel *PanelQuestion;
  TComboBox *ComboBoxQuestion;
  TSplitter *SplitterV2;
  TMenuItem *MenuItemOuvrir;
  TMenuItem *MenuItemSep1;
  TMenuItem *MenuItemOuvrirInsererEnTete;
  TMenuItem *MenuItemOuvrirAjouterFin;
  TMenuItem *MenuItemEnregistrer;
  TMenuItem *MenuItemSep2;
  TMenuItem *MenuItemEnregistrerSous;
  TMenuItem *MenuItemEditeurQuestion;
  TMenuItem *MenuItemEffacerHistorique;
  TOpenDialog *OpenDialog;
  TSaveDialog *SaveDialog;
  TMenuItem *MenuItemOuvrirAjouterPointInsertion;
  TMenuItem *MenuItemNouveau;
  TMenuItem *MenuItemSep0;
  TToolBar *ToolBar;
  TToolButton *ToolButtonNouveau;
  TImageList *ImageListActions;
  TToolButton *ToolButtonOuvrir;
  TToolButton *ToolButtonEnregistrer;
  TToolButton *ToolButtonSep0;
  TToolButton *ToolButtonAnalyser;
  TMenuItem *MenuItemDetail;
  TMenuItem *MenuItemSep3;
  TMenuItem *MenuItemRepondre;
  TMenuItem *MenuItemPauseApresChaqueSolution;
  TMenuItem *MenuItemPoursuivre;
  TMenuItem *MenuItemArreter;
  TMenuItem *MenuItemSep4;
  TToolButton *ToolButtonRepondre;
  TPanel *PanelSup;
  TMemo *MemoBase;
  TTreeView *TreeViewBase;
  TSplitter *SplitterV1;
  TFontDialog *FontDialog;
  TMenuItem *MenuItemPoliceBase;
  TMenuItem *MenuItemPoliceRecherche;
  TToolButton *ToolButtonPoursuivre;
  TToolButton *ToolButtonArreter;
  TToolButton *ToolButtonEffacer;
  TToolButton *ToolButtonPauseApresChaqueSolution;
  TToolButton *ToolButtonDetail;
  TPopupMenu *PopupMenuArbreBase;
  TMenuItem *MenuItemSelectionnerSource;
  TActionList *ActionList;
  TAction *ActionNouveau;
  TAction *ActionDetail;
  TAction *ActionOuvrir;
  TAction *ActionEnregistrer;
  TAction *ActionAnalyser;
  TAction *ActionRepondre;
  TAction *ActionPoursuivre;
  TAction *ActionArreter;
  TAction *ActionResultatEffacer;
  TAction *ActionEnregistrerSous;
  TAction *ActionQuitter;
  TAction *ActionAPropos;
  TAction *ActionAide;
  TToolButton *ToolButtonAide;
  TAction *ActionMontrer;
  TAction *ActionBaseRetourAuto;
  TAction *ActionResultatRetourAuto;
  TAction *ActionBaseEffacer;
  TAction *ActionBasePolice;
  TAction *ActionResultatPolice;
  TAction *ActionQuestionEffacer;
  TAction *ActionToutDevelopper;
  TMenuItem *MenuItemBaseToutDevelopper;
  TAction *ActionToutReduire;
  TMenuItem *MenuItemBaseToutReduire;
  TPopupMenu *PopupMenuArbreRecherche;
  TMenuItem *MenuItemRechercheToutDevelopper;
  TMenuItem *MenuItemRechercheToutReduire;
  TToolButton *ToolButtonNumeroter;
  TMenuItem *MenuItemNumeroter;
  TAction *ActionNumeroter;
  TAction *ActionInterrompre;
  TToolButton *ToolButtonSep1;
  TSaveDialog *SaveDialogVueArborescente;
  TAction *ActionEnregistrerVueArborescenteSous;
  TMenuItem *MenuItemArbreBaseEnregistrerSous;
  TMenuItem *MenuItemArbreRechercheEnregistrerSous;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall MemoBaseChange(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall ActionNouveauExecute(TObject *Sender);
  void __fastcall ActionDetailExecute(TObject *Sender);
  void __fastcall ActionOuvrirExecute(TObject *Sender);
  void __fastcall ActionEnregistrerExecute(TObject *Sender);
  void __fastcall ActionAnalyserExecute(TObject *Sender);
  void __fastcall ActionRepondreExecute(TObject *Sender);
  void __fastcall ActionPoursuivreExecute(TObject *Sender);
  void __fastcall ActionArreterExecute(TObject *Sender);
  void __fastcall ActionResultatEffacerExecute(TObject *Sender);
  void __fastcall ActionEnregistrerSousExecute(TObject *Sender);
  void __fastcall ActionInterrompreExecute(TObject *Sender);
  void __fastcall ActionQuitterExecute(TObject *Sender);
  void __fastcall ActionAProposExecute(TObject *Sender);
  void __fastcall ActionAideExecute(TObject *Sender);
  void __fastcall ActionMontrerExecute(TObject *Sender);
  void __fastcall ActionBaseRetourAutoExecute(TObject *Sender);
  void __fastcall ActionBaseEffacerExecute(TObject *Sender);
  void __fastcall ActionBasePoliceExecute(TObject *Sender);
  void __fastcall ActionQuestionEffacerExecute(TObject *Sender);
  void __fastcall ActionResultatRetourAutoExecute(TObject *Sender);
  void __fastcall ActionResultatPoliceExecute(TObject *Sender);
  void __fastcall ActionToutDevelopperExecute(TObject *Sender);
  void __fastcall ActionToutReduireExecute(TObject *Sender);
  void __fastcall ComboBoxQuestionKeyPress(TObject *Sender, char &Key);
  void __fastcall ActionNumeroterExecute(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall ActionEnregistrerVueArborescenteSousExecute(TObject *Sender); 
private:	// Dclarations de l'utilisateur
  bool OuvertureEnCours,
       Modification, ModificationDepuisAnalyse; // true = Le projet a t modifi ; false = Le projet n'a pas t modifi
  AnsiString asNomFichier; // Nom du fichier projet
#ifdef PRFD_WINDOWS
  TIniFile *IniFile; // v0.3.2
  void LitHistoriqueQuestions(const AnsiString asNomFichier); // v0.3.2
  void EnregistreHistoriqueQuestions(); // v0.3.2
#endif
  void AfficheIndicateursModification();
  void DefinitModificationProjet(bool Modification); // Change l'tat de modification et rafrachit l'indicateur (*)
  void DefinitModificationProjetDepuisAnalyse(bool ModificationDepuisAnalyse); // Change l'tat de modification et rafrachit l'indicateur (~)
  bool ConfirmeAvecDemandeEnregistrementModifications();
  void AfficheErreur(const AnsiString asTypeAnalyse, int PosErreur, int NumErreur, const AnsiString asMsgErreur, bool Question);
  void Ouvrir(const AnsiString asNomFichier, mode_ouverture Mode);
  void AnalyseBase();
  void RechercheSolutions();
  void AnalyseQuestion();
  void CreeArbreBase();
  void CreeArbreQuestion(recherche *Recherche);
  void Montre(int Position, int Longueur);
public:		// Dclarations de l'utilisateur
  __property bool ProjetModifie = { default=false, read=Modification, write=DefinitModificationProjet };
  __property bool ProjetModifieDepuisAnalyse = { default=false, read=ModificationDepuisAnalyse, write=DefinitModificationProjetDepuisAnalyse };
  __fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
